Currently the WFS wizard shows only one CRS among the ones provided by the server.
Instead of a non-editable text area, we can use a combo box
Also, we could add the CRS button to specify the transformation (but this is not so trivial)

History
#1 - 04/09/2013 10:23 AM - Juan Lucas Domínguez
- Priority changed from Normal to High

Check what happens when user open WFS layer properties dialog

#2 - 08/09/2013 02:08 PM - Juan Lucas Domínguez

Letting the user choose the CRS of the request adds more difficulties because the server does not necessarily respond in the requested CRS, so
requests will be made always in the default CRS (the same as before) and then reprojected on the fly. The user will be able to choose a specific
transformation.

#3 - 08/09/2013 02:15 PM - Juan Lucas Domínguez

Added default CRS only in request CRS combo box.

gvsig-wfs:r14

#4 - 08/14/2013 02:42 PM - Juan Lucas Domínguez

Restored list of all CRS offered by server. Default CRS not good when version is 1.1.0 and CRS is geodetic (lat,lon).
In some cases it does not work well because the server does not respond in the requested CRS but this might be a bug in the server.

Still one detail missing: let user choose transformation.

gvsig-wfs:r17
#5 - 11/26/2013 01:18 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

Fixed management of CRS, removed unused panel and added i18n texts.

This plugin does not work well. Sometimes only works well with certain projections, sometimes caused by strange behavior of servers, sometimes
because metadata are not managed properly by the plugin. However, i think it's not very important to fix it for all servers.

gvsig-wfs:r30

#6 - 01/13/2014 09:23 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#7 - 01/27/2014 06:37 PM - Álvaro Anguix
- Status changed from Fixed to Closed
